Bug 450359 - ./configure fails on Mac OS X 10.5
./configure fails on Mac OS X 10.5
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
19
All Mac OS
low Severity medium
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 20:13 EDT by David Mueller
Modified: 2015-02-18 06:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configure output log (9.35 KB, text/plain)
2008-06-06 20:13 EDT, David Mueller
no flags Details
output from successful ./configure (6.26 KB, text/plain)
2010-01-11 19:53 EST, Benjamin Possolo
no flags Details
output from failed make (20.11 KB, text/plain)
2010-01-11 19:53 EST, Benjamin Possolo
no flags Details

  None (edit)
Description David Mueller 2008-06-06 20:13:07 EDT
Description of problem:

./configure fails when attempting to build Coolkey on Mac OS X 10.5.  I initially tried on 
an Intel machine using the 1.1.0 release tarball and that didn't 
work, and I got the same issue with CVS.  Also tried using the CVS 
source on PowerPC and it didn't work either.

Version-Release number of selected component (if applicable):

1.1.0 and CVS checkout

How reproducible:

Always

Steps to Reproduce:
1. checkout coolkey from cvs or extract 1.1.0 release tarball
2. ./configure --disable-dependency-tracking
  
Actual results:

$ ./configure --disable-dependency-tracking
checking build system type... powerpc-apple-darwin9.2.2
checking host system type... powerpc-apple-darwin9.2.2
checking target system type... powerpc-apple-darwin9.2.2
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking platform type: ... MAC
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.

I'm attaching the config.log as well.

Expected results:

configure to complete successfully

Additional info:

I know this isn't exactly a Fedora issue as it involves building on Mac OS X; it was suggested to file the 
bug here anyway on the coolkey-devel email list.
Comment 1 David Mueller 2008-06-06 20:13:07 EDT
Created attachment 308580 [details]
configure output log
Comment 2 Bug Zapper 2009-06-09 21:27:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Mueller 2009-06-09 22:06:19 EDT
Bumping Fedora version as this is still broken on Mac OS X 10.5.7.
Comment 4 Bug Zapper 2009-11-16 03:07:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Anonymous account 2010-01-11 16:35:47 EST
I am able to reproduce the problem under Mac OS X 10.6.2 as well
Comment 6 Anonymous account 2010-01-11 16:37:28 EST
I am able to reproduce the problem under Mac OS X 10.6.2 as well
Comment 7 Jack Magne 2010-01-11 18:52:22 EST
Try this at the console:

export MACOSX_DEPLOYMENT_TARGET=10.4
Comment 8 Benjamin Possolo 2010-01-11 19:22:15 EST
Trying to get this to compile/work under Mac OS X Snow Leopard (10.6.2) natively on the x86_64 architecture.

I made some progress, unfortunately still unable to get it working completely.

After decompressing the coolkey archive file (coolkey-1.1.0.tar.gz), I opened the following file:
configure.in

Under the Darwin platform case in the case statement, I modified the variables CFLAGS, LDFLAGS, CXXFLAGS so they look as follows:

CFLAGS="-DMAC  -I/System/Library/Frameworks/Security.framework/Versions/Current/Headers -isysroot /Developer/SDKs/MacOSX10.6.sdk -arch x86_64 -arch ppc -arch i386"
LDFLAGS="-L/System/Library/Frameworks/Security.framework/Versions/Current/Security"
CXXFLAGS="-DMAC  -I/System/Library/Frameworks/Security.framework/Versions/Current/Headers -isysroot /Developer/SDKs/MacOSX10.6.sdk -arch x86_64 -arch ppc -arch i386"

In other words, I changed the isysroot to point to the current system libraries (namely /Developers/SDKs/MacOSX10.6.sdk) rather than the MacOSX10.4u.sdk libraries.
You will also notice that I added an extra arch type "x86_64". This configures the build to be a universal binary for the 3 architectures.

I then ran ./configure --prefix=/usr/local/CoolKey --disable-dependency-tracking

This completes fine.

As stated in the instructions, you will now need to edit the libtool file to specify the special build parameters.
I modified the following lines in libtool:
214
220
6830
6836

On these lines, I added -isysroot /Developer/SDKs/MacOSX10.6.sdk -arch x86_64 -arch ppc -arch i386 between the $deplibs and $compiler_flags variables just like in the instructions.

After saving the libtool file, I ran "make" which also completed successfully.

"make install" placed the library files in my /usr/local/CoolKey directory

In conclusion, these changes get configure and make to execute successfully and without errors.

However, when I try to configure my Java Security settings to use the pkcs11 dynamic library (/usr/local/CoolKey/lib/pkcs11/libcoolkeypk11.dylib), I am still unable to access the certs on my SmartCard.

It seems my custom compiled library is unable to read/detect my SmartCard like the pre-compiled 32-bit version is able to do.
Comment 9 Benjamin Possolo 2010-01-11 19:52:11 EST
Jack,

thanks for chiming in.

so tried starting from a fresh coolkey tarball folder.

set the environment variable you suggested then ran
autoconf
./configure --prefix=/usr/local/CoolKeyCustom --disable-dependency-tracking

these both completed successfully

i then ran
make

which failed. i attached two files: configure output and make output

any further assistance would be greatly appreciated. I'm trying to get a bunch of developers with all new Macs up-and-running with coolkey.

Benjamin
Comment 10 Benjamin Possolo 2010-01-11 19:53:13 EST
Created attachment 383128 [details]
output from successful ./configure
Comment 11 Benjamin Possolo 2010-01-11 19:53:33 EST
Created attachment 383129 [details]
output from failed make
Comment 12 Jack Magne 2010-01-11 20:24:35 EST
Taking a quick look, it appears that it can't find basic stuff like string and vector. Do you have the isysroot set right?
Comment 13 Benjamin Possolo 2010-01-11 20:39:35 EST
I have tried executing the standard steps without any modification except for setting the env variable.
this results in the failed make that I posted above

I just tried specifically editing the libtool file to specify:
-isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386
and it also doesnt work.

yes, my 10.4 libraries are indeed located in that location.
it seems the build only succeeds when i attempt to use 10.6 but in this case the final product doesnt seem to detect my card reader/smart card.
Comment 14 Benjamin Possolo 2010-01-11 21:03:48 EST
anyways, my main concern is building a 64-bit version of this library. i don't know if thats even possible using 10.4 libraries or if i actually need to use 10.6 which would make any attempts to get it to compile with 10.4 moot.
Comment 15 Bug Zapper 2010-11-04 07:53:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2012-08-16 16:05:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bob Relyea 2012-08-16 17:28:21 EDT
This isn't fedora specific, it's an upstream bug. reopen.
Comment 18 Fedora End Of Life 2013-04-03 16:15:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 19 Fedora End Of Life 2015-01-09 16:37:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-18 06:57:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.